Subject: bug#44531: 27.1; Emacs 27 fails to build from source on m68k (regression)

From: John Paul Adrian Glaubitz <[email-masked]>
Date: Wed, 8 Sep 2021 13:28:04 +0200

Hi Lars!

On 9/8/21 11:48, Lars Ingebrigtsen wrote:
> John Paul Adrian Glaubitz <[email-masked]> writes:
> 
>>> m68k is big endian, isn't it? Try building with enable-checking to
>>> see whether we can see where the bit rearrangement problem might be.
>>
>> Thanks, I'll give it a try. My suspicion would be that it's an
>> alignment problem since the native alignment for m68k on Linux/sysv is
>> 16 bits, not 32 bits.
> 
> This was almost a year ago -- did you get any further in debugging this
> problem?

I think the problem was the new dumper that is used by default on emacs27 [1].

I know that I built emacs27 successfully on m68k with the option changed back,
let me try that again.

Adrian

> [1] https://lists.debian.org/debian-68k/2020/11/msg00009.html

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - [email-masked]
`. `'   Freie Universitaet Berlin - [email-masked]
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913